locked
Can't install IoT Edge on Windows RRS feed

  • Question

  • I want to explore Azure IoT, so as one of the first steps I tried to install IoT Edge on my Windows 10 laptop. It failed. The reason is that it requires exactly version 1809, build 17763. Obviously all Windows 10 machines today are of later versions.

    What is the suggested solution for this? Try to find an old, outdated machine?

    Thanks.


    A former Javaman

    Saturday, April 4, 2020 7:14 AM

All replies

  • Hello Javaman,

    Thank you for your feedback!

    IoT Edge for Windows requires Windows version 1809/build 17763, which is the latest Windows long term support build

    The solution, when using a newer version of Windows 10 is to use Linux Containers.

    The Azure IoT Edge installation packages for Windows allow the use of Linux containers on Windows; however, this configuration is for development and testing only. For more information, see Use IoT Edge on Windows to run Linux containers.

    Thank you!

    ___________________________________________________________________

    When you see answers and helpful posts, please click Vote As Helpful, Propose As Answer, and/or Mark As Answer so the community can benefit from it.

    Tuesday, April 7, 2020 11:10 AM
  • Hello magja,

    Did I answer your question? If you believe we should consider supporting all versions of Windows 10, add a feature request here.

    In case the information in this post is helpful , please feel free to mark the response as answer so that it can help others searching for similar questions.

    Thank you!

    Monday, April 20, 2020 6:25 AM